Package com.independentsoft.office.word.mailMerge

# Enum Class MailMergeSourceType

java.lang.Object
java.lang.Enum<MailMergeSourceType>
com.independentsoft.office.word.mailMerge.MailMergeSourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<MailMergeSourceType>`, `Constable`

public enum MailMergeSourceType extends Enum<MailMergeSourceType>
The Enum MailMergeSourceType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS_BOOK`
  `AGGREGATE`
  `ALTERNATE_DOCUMENT_FORMAT_1`
  `ALTERNATE_DOCUMENT_FORMAT_2`
  `DATABASE`
  `EMAIL`
  `LEGACY_DOCUMENT_FORMAT`
  `NATIVE`
  `NONE`
  `TEXT_FILE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MailMergeSourceType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MailMergeSourceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDRESS_BOOK

    public static final MailMergeSourceType ADDRESS_BOOK

  - ### DATABASE

    public static final MailMergeSourceType DATABASE

  - ### ALTERNATE_DOCUMENT_FORMAT_1

    public static final MailMergeSourceType ALTERNATE_DOCUMENT_FORMAT_1

  - ### ALTERNATE_DOCUMENT_FORMAT_2

    public static final MailMergeSourceType ALTERNATE_DOCUMENT_FORMAT_2

  - ### EMAIL

    public static final MailMergeSourceType EMAIL

  - ### LEGACY_DOCUMENT_FORMAT

    public static final MailMergeSourceType LEGACY_DOCUMENT_FORMAT

  - ### AGGREGATE

    public static final MailMergeSourceType AGGREGATE

  - ### NATIVE

    public static final MailMergeSourceType NATIVE

  - ### TEXT_FILE

    public static final MailMergeSourceType TEXT_FILE

  - ### NONE

    public static final MailMergeSourceType NONE

- ## Method Details

  - ### values

    public static MailMergeSourceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MailMergeSourceType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null